<?xml version="1.0" encoding="utf-8"?>
<openerp>
<data>
    <template id="report_return_tosupplier_report">
        <t t-call="report.html_container">
        	
        	<div class="page">
                <style  type="text/css">
                		body
                        {
                          font-family: 'Verdana';
                          font-size: 12px;
                          color:#333333;
                        }

                        td{
                            padding : 1px;
                            vertical-align: top;
                         }

                        table{
                            width: 95%;
                            margin-left: auto;
                            margin-right: auto;
                            font-size:12px;
                            font-family: 'Verdana';
                            page-break-inside:auto;
                        }

                        div   { page-break-inside:avoid; } /* This is the key */
                        thead { display:table-header-group }
                        tfoot { display:table-footer-group }
                        table.tbl_grid {
                            width: 100%;
                            border-collapse: collapse !important;
                            page-break-inside:auto;
                            font-family: 'Verdana';
                            font-size: 12px;

                        }
                        table.tbl_grid thead {
                            display:table-header-group;


                        }
                        table.tbl_grid thead th{
                            border-bottom: 1px solid #000 !important;
                            padding: 3px;
                            vertical-align: top;
                            text-align: center;
                        }
                        table.tbl_grid tr {
                            page-break-inside:avoid; page-break-after:auto
                        }
                        table.tbl_grid td {
                            border-bottom: 1px solid gray !important;
                            padding: 2px;
                            vertical-align: top;
                        }
                        table.tbl_grid tfoot tr{
                            border-top: 1px solid #000 !important;
                            border-bottom: 1px solid #000 !important;
                        }
                        table.tbl_grid tfoot td{
                            border-top: 1px solid #000 !important;
                            border-bottom: 1px solid #000 !important;
                        }
                        .text_left{
                            text-align: left;
                        }
                        .text_right{
                            text-align: right;
                        }
                        .text_center{
                            text-align: center;
                        }

                </style>

                <!-- start content -->
                <t t-foreach="get_detail_return_tosupplier(data)" t-as="o">
                <center><h1>TANDA TERIMA RETUR <span t-esc="to_upper(get_product_brand(o)) or '-' "/></h1></center>
        <!-- body and content -->
        <!-- title -->
        		<table>
        			<tr>
        				<td width="3%" >
        					To.
        				</td>
        				<td width="50%">
                            <span t-esc="o.partner_id and o.partner_id.pic_name or '-' "/> <br/>
                            <span t-esc="o.partner_id and o.partner_id.name or '-' "/> <br/>
                            <span t-esc="o.partner_id and o.partner_id.agency_name or '-' "/> <br/>
        					<span t-esc="o.partner_id and o.partner_id.street or '-' "/>  <br/>
                            <span t-esc="o.partner_id and o.partner_id.street2 or '-' "/>  <br/>
                            <span t-esc="o.partner_id and o.partner_id.city or '-' "/>  , <span t-esc="o.partner_id and o.partner_id.country_id and o.partner_id.country_id.name  or '-' "/>  <br/>
        					(HP)  <span t-esc="o.partner_id and o.partner_id.mobile or o.partner_id.phone or '-' "/> <br/>
        				</td>
                        <td width="30%" class="text_right">
        					 <span>             </span>
        				</td>
        				<td width="17%" class="text_left">
        					Date   : <span>             </span>
        				</td>
        			</tr>
        		</table>
                    <br/>
        <!-- ent title -->
        <!--grid -->
                    <t t-set="idx" t-value="0"/>
                    <t t-set="sum_qty" t-value="0"/>
        		<table class="tbl_grid">
        			<thead>
        				<tr>
        					<th>No.</th>
        					<th>Art.</th>
        					<th>Description</th>
        					<th>Color</th>
        					<th>Size</th>
        					<th>Qty.</th>
        					<th>Remarks</th>
        				</tr>
        			</thead>
        			<tbody>
                    <t t-foreach="o.move_lines" t-as="l">
                        <t t-set="idx" t-value="idx+1"/>
                        <t t-set="sum_qty" t-value="sum_qty+l.product_uom_qty"/>

        				<tr>
        					<td class="text_center"> <span t-esc="idx"/> </td>
        					<td class="text_center"> <span t-esc="l.product_id and l.product_id.default_code or '-'" />  </td>
        					<td> <span t-esc="l.name or '-'" />  </td>
        					<td> <span t-esc="l.product_id and l.product_id.name_template or '-'" /> </td>
        					<td class="text_right" ><span t-esc="l.product_id and get_product_size(l.product_id) or '0' " /></td>
        					<td class="text_right" > <span t-esc="format_integer(l.product_uom_qty)" />  </td>
        					<td><span t-esc="l.remarks or '-'" /> </td>
        				</tr>
                    </t>
        			</tbody>
        			<tfoot>
        				<tr>
        					<td class="text_center" colspan="5">TOTAL</td>
        					<td  class="text_right" >  <span t-esc="format_integer(sum_qty)" /> </td>

        					<td></td>
        				</tr>
        			</tfoot>
        		</table>
        <!-- end grid -->
                    <br/><br/>
        		<table>
        			<tr>
        				<td class="text_center" width="30%" >
        					Yang Menyerahkan

                            <br/><br/><br/><br/>
        				</td>
        				<td class="text_center" width="40%">
        					Yang Mengetahui
        				</td>
        				<td class="text_center" width="30%">
        					Yang Menerima
        				</td>
        			</tr>

        			<tr>
        				<td class="text_center" >
                            <br/><br/><br/><br/>
                            <span></span><br/>
                            <b>   ( MD <span t-esc="o.company_id and o.company_id.name or ' ' "/>  ) </b>
        				</td>

        				<td class="text_center" >
                            <br/><br/><br/><br/>
                            <span></span><br/>
                            <b>   ( DC <span t-esc="o.company_id and o.company_id.name or ' ' "/>  ) </b>

        				</td>
        				<td class="text_center" >
        				</td>
        			</tr>
        		</table>
        <!-- end body and content -->
                </t>
        <!-- end content -->

            </div>  <!-- end div page all -->
        </t>
    </template>
</data>
</openerp>
